Bug 1004558 - [abrt] kdelibs-4.10.5-1.fc19: XRandRMode::size: Process /usr/bin/kded4 was killed by signal 11 (SIGSEGV)
[abrt] kdelibs-4.10.5-1.fc19: XRandRMode::size: Process /usr/bin/kded4 was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libkscreen (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
abrt_hash:a9233de9458290147c825068295...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 19:08 EDT by Emmett Culley
Modified: 2015-11-01 20:37 EST (History)
10 users (show)

See Also:
Fixed In Version: libkscreen-1.0.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-01 02:58:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.83 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: cgroup (142 bytes, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: core_backtrace (43.54 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: dso_list (20.35 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: environ (3.90 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: maps (99.68 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: open_fds (1.80 KB, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: proc_pid_status (899 bytes, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details
File: var_log_messages (303 bytes, text/plain)
2013-09-04 19:08 EDT, Emmett Culley
no flags Details

  None (edit)
Description Emmett Culley 2013-09-04 19:08:06 EDT
Description of problem:
I believe it was when I attempted to start pa volume control, and it got stuck at "Establishing connection to PulseAudio. Please wait".

Version-Release number of selected component:
kdelibs-4.10.5-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/kded4 --nocrashhandler
crash_function: XRandRMode::size
executable:     /usr/bin/kded4
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XRandRMode::size at /usr/src/debug/libkscreen-1.0.1/backends/xrandr/xrandrmode.cpp:53
 #1 XRandRConfig::applyKScreenConfig at /usr/src/debug/libkscreen-1.0.1/backends/xrandr/xrandrconfig.cpp:168
 #2 KScreen::Config::setConfig at /usr/src/debug/libkscreen-1.0.1/src/config.cpp:66
 #3 KScreenDaemon::applyKnownConfig at /usr/src/debug/kscreen-1.0.1/kded/daemon.cpp:110
 #4 KScreenDaemon::applyConfig at /usr/src/debug/kscreen-1.0.1/kded/daemon.cpp:94
 #5 QMetaObject::activate at kernel/qobject.cpp:3547
 #7 ready at /usr/src/debug/kscreen-1.0.1/x86_64-redhat-linux-gnu/kded/device.moc:112
 #8 Device::setReady at /usr/src/debug/kscreen-1.0.1/kded/device.cpp:80
 #9 setReady at /usr/src/debug/kscreen-1.0.1/kded/device.cpp:75
 #10 Device::isLaptopFetched at /usr/src/debug/kscreen-1.0.1/kded/device.cpp:122
Comment 1 Emmett Culley 2013-09-04 19:08:11 EDT
Created attachment 793893 [details]
File: backtrace
Comment 2 Emmett Culley 2013-09-04 19:08:15 EDT
Created attachment 793894 [details]
File: cgroup
Comment 3 Emmett Culley 2013-09-04 19:08:19 EDT
Created attachment 793895 [details]
File: core_backtrace
Comment 4 Emmett Culley 2013-09-04 19:08:23 EDT
Created attachment 793896 [details]
File: dso_list
Comment 5 Emmett Culley 2013-09-04 19:08:27 EDT
Created attachment 793897 [details]
File: environ
Comment 6 Emmett Culley 2013-09-04 19:08:31 EDT
Created attachment 793898 [details]
File: limits
Comment 7 Emmett Culley 2013-09-04 19:08:35 EDT
Created attachment 793899 [details]
File: maps
Comment 8 Emmett Culley 2013-09-04 19:08:39 EDT
Created attachment 793900 [details]
File: open_fds
Comment 9 Emmett Culley 2013-09-04 19:08:42 EDT
Created attachment 793901 [details]
File: proc_pid_status
Comment 10 Emmett Culley 2013-09-04 19:08:45 EDT
Created attachment 793902 [details]
File: var_log_messages
Comment 11 Fedora Update System 2014-04-22 08:23:27 EDT
libkscreen-1.0.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libkscreen-1.0.2-3.fc20
Comment 12 Fedora Update System 2014-04-23 00:27:58 EDT
Package libkscreen-1.0.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libkscreen-1.0.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5461/libkscreen-1.0.2-3.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-05-01 02:58:05 EDT
libkscreen-1.0.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.